
QGIS Application - Bug report #8482

Public keys expired for Ubuntu repositories

2013-08-18 08:53 PM - Michael Corey

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 17249

Description

The Ubuntu download directions (https://issues.qgis.org/projects/quantum-gis/wiki/Download) say to use the following repository keys:

gpg --keyserver keyserver.ubuntu.com --recv 997D3880

gpg --export --armor 997D3880 | sudo apt-key add -

However, I receive the following error when running apt-get update:

W: GPG error: http://qgis.org raring Release: The following signatures were invalid: KEYEXPIRED 1376750759 KEYEXPIRED

1376750759 KEYEXPIRED 1376750759

Related issues:

Duplicates QGIS Application - Bug report # 6224: gpg key expired Closed 2012-08-19

History

#1 - 2013-08-19 03:57 PM - Jürgen Fischer

- Status changed from Open to Closed

- Resolution set to fixed

#2 - 2013-08-19 04:05 PM - Michael Corey

- Status changed from Closed to Reopened

I'm not sure what was changed behind the scenes, but I'm still getting the same error when following the directions here:

https://issues.qgis.org/projects/quantum-gis/wiki/Download

W: GPG error: http://qgis.org raring Release: The following signatures were invalid: KEYEXPIRED 1376750759 KEYEXPIRED 1376750759 KEYEXPIRED

1376750759

So does something need to be updated on that site to reference the correct key?

My problems are with the raring package, if that helps.

#3 - 2013-08-21 08:39 AM - Mathew Topper

I have the same problem with the debian wheezy Release repository.

I've imported the new key, but for some reason the repository isn't looking for it.

2025-06-08 1/3

https://issues.qgis.org/projects/quantum-gis/wiki/Download
http://qgis.org
https://issues.qgis.org/projects/quantum-gis/wiki/Download
http://qgis.org


#: gpg --list-key

/root/.gnupg/pubring.gpg

------------------------

pub   1024R/47765B75 2013-08-18 [expires: 2014-08-18]

uid                  Quantum GIS Archive Automatic Signing Key (2013) <qgis-developer@lists.osgeo.org>

sub   1024R/9F75DFEC 2013-08-18 [expires: 2014-08-18]

pub   1024D/997D3880 2012-08-17 [expired: 2013-08-17]

uid                  Quantum GIS Archive Automatic Signing Key (2012) <qgis-developer@lists.osgeo.org>

#: apt-get update

...

Fetched 198 B in 4s (41 B/s)

Reading package lists... Done

W: GPG error: http://qgis.org wheezy Release: The following signatures were invalid: KEYEXPIRED 1376750759 KEYEXPIRED 1376750759

KEYEXPIRED 1376750759

#4 - 2013-08-21 08:45 AM - Jürgen Fischer

Mathew Topper wrote:

I have the same problem with the debian wheezy Release repository.

I've imported the new key, but for some reason the repository isn't looking for it.

The release packages weren't changed yet.  The nightly builds use the new key.

#5 - 2013-08-23 05:02 PM - Jürgen Fischer

- Status changed from Reopened to Closed

#6 - 2014-08-19 01:44 PM - Erik Timmers

- Status changed from Closed to Reopened

This issue has returned on Debian/Ubuntu.

W: GPG error: http://qgis.org sid InRelease: The following signatures were invalid: KEYEXPIRED 1408378922 KEYEXPIRED 1408378922

KEYEXPIRED 1408378922

http://qgis.org/en/site/forusers/alldownloads.html still mentions the expired 2013 key. The 2014 key is unknown to me.

-- Erik

Edit: looks like this is a duplicate of #6224.

#7 - 2014-08-20 12:36 PM - Jürgen Fischer
- Status changed from Reopened to Closed
